<?php 

/**
 * @package adeq
 * @since adeq 1.0
 */

if ( ! isset( $content_width ) ) $content_width = 1080;

if ( ! function_exists( 'adeq_get_theme_version' ) ) :
function adeq_get_theme_version() {
	$theme_info = wp_get_theme();

	$template_directory = get_template_directory();
	load_theme_textdomain( 'adeq', $template_directory . '/languages' );

	if ( is_child_theme() ) {
		$theme_info = wp_get_theme( $theme_info->parent_theme );
	}

	$theme_version = $theme_info->display( 'Version' );

	return $theme_version;
}
endif;

function adeq_setup(){
	
register_nav_menus( array(
		'primary' => __( 'Primary', 'adeq' ),
		'bottom'  => __( 'Bottom', 'adeq' ),
	) );
	
add_filter('nav_menu_css_class' , 'special_nav_class' , 10 , 2);
function special_nav_class($classes, $item){
     if( in_array('current-menu-item', $classes) ){
             $classes[] = 'active ';
     }
     return $classes;
}

add_theme_support( 'automatic-feed-links' );

$argsbg = array(
	'default-color' => '#ffffff',
	'default-image' => '%1$s/images/1.png',
);
add_theme_support( 'custom-background', $argsbg );

// Add featured image support
add_theme_support('post-thumbnails');
add_image_size('all-post-thumbnail');

// Add post type support
add_theme_support( 'post-formats', array(
		'video', 'link'
	) );

$header = array(
    'default-color' => '#333',
  );
add_theme_support( 'custom-header', $header);

function theme_functions() {

    add_theme_support( 'title-tag' );

}

}
add_action( 'after_setup_theme', 'adeq_setup' );


function toward_load_scripts_styles(){
	
	$template_dir = get_template_directory_uri();

	$theme_version = adeq_get_theme_version();
	
	wp_enqueue_style( 'adeq-stylesheet', $template_dir, array(), $theme_version);
	wp_enqueue_style( 'adeq-bootstrap', $template_dir . '/css/bootstrap.css', array(), $theme_version );
	wp_enqueue_style( 'adeq-main', $template_dir . '/css/main.css', array(), $theme_version );
	wp_enqueue_style( 'adeq-responsive', $template_dir . '/css/responsive.css', array(), $theme_version );
	wp_enqueue_style( 'adeq-animate', $template_dir . '/css/animate.css', array(), $theme_version );
	wp_enqueue_style( 'adeq-color', $template_dir . '/css/colors/color.css', array(), $theme_version );
	wp_enqueue_style( 'adeq-fontello', $template_dir . '/css/fontello.css', array(), $theme_version );
	
	//wp_deregister_script( 'jquery.Min' );
	wp_register_script( 'jquery.Min', $template_dir . '/js/jquery.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.Min' );
	
	//wp_deregister_script( 'jquery.migrate' );
	wp_register_script( 'jquery.migrate', $template_dir . '/js/jquery.migrate.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.migrate' );
	
	//wp_deregister_script( 'jquery.modernizrr' );
	wp_register_script( 'jquery.modernizrr', $template_dir . '/js/modernizrr.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.modernizrr' );
	
	//wp_deregister_script( 'jquery.bootstrap' );
	wp_register_script( 'jquery.bootstrap', $template_dir . '/js/bootstrap.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.bootstrap' );
	
	//wp_deregister_script( 'jquery.fitvids' );
	wp_register_script( 'jquery.fitvids', $template_dir . '/js/jquery.fitvids.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.fitvids' );
	
	//wp_deregister_script( 'jquery.carousel' );
	wp_register_script( 'jquery.carousel', $template_dir . '/js/owl.carousel.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.carousel' );
	
	//wp_deregister_script( 'jquery.lightbox' );
	wp_register_script( 'jquery.lightbox', $template_dir . '/js/nivo-lightbox.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.lightbox' );
	
	//wp_deregister_script( 'jquery.isotope' );
	wp_register_script( 'jquery.isotope', $template_dir . '/js/jquery.isotope.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.isotope' );
	
	//wp_deregister_script( 'jquery.appear' );
	wp_register_script( 'jquery.appear', $template_dir . '/js/jquery.appear.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.appear' );
	
	//wp_deregister_script( 'jquery.count' );
	wp_register_script( 'jquery.count', $template_dir . '/js/count-to.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.count' );
	
	//wp_deregister_script( 'jquery.textillate' );
	wp_register_script( 'jquery.textillate', $template_dir . '/js/jquery.textillate.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.textillate' );
	
	//wp_deregister_script( 'jquery.lettering' );
	wp_register_script( 'jquery.lettering', $template_dir . '/js/jquery.lettering.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.lettering' );
	
	//wp_deregister_script( 'jquery.easypiechart' );
	wp_register_script( 'jquery.easypiechart', $template_dir . '/js/jquery.easypiechart.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.easypiechart' );
	
	//wp_deregister_script( 'jquery.nicescroll' );
	wp_register_script( 'jquery.nicescroll', $template_dir . '/js/jquery.nicescroll.min.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.nicescroll' );
	
	//wp_deregister_script( 'jquery.parallax' );
	wp_register_script( 'jquery.parallax', $template_dir . '/js/jquery.parallax.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.parallax' );
	
	//wp_deregister_script( 'jquery.cusscript' );
	wp_register_script( 'jquery.cusscript', $template_dir . '/js/script.js', array(), $theme_version, true);
	wp_enqueue_script( 'jquery.cusscript' );
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

}
add_action( 'wp_enqueue_scripts', 'toward_load_scripts_styles' );

function adeq_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Widget Area', 'adeq' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar.', 'adeq' ),
		'before_widget' => '<div class="col-md-3"><div class="footer-widget">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h4 class="footer-heading">',
		'after_title'   => '<span class="head-line"></span></h4>',
	) );

	register_sidebar( array(
		'name'          => __( 'Right Side Area', 'adeq' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar.', 'adeq' ),
		'before_widget' => '<div class="widget">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4>',
		'after_title'   => '<span class="head-line"></span></h4>',
	) );
}
add_action( 'widgets_init', 'adeq_widgets_init' );

function adt_serene_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'adt_theme_settings' , array(
		'title'    => __( 'Theme Settings', 'adeq' ),
		'priority' => 60,
	) );

	$wp_customize->add_setting( 'accent_color', array(
		'default'    => '#fbad18',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',
	) );
	
	$wp_customize->add_setting( 'text_accent_color', array(
		'default'    => '#555555',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',
	) );
	
	$wp_customize->add_setting( 'page_accent_color', array(
		'default'    => '#555555',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',
	) );
	
	$wp_customize->add_setting( 'footer_accent_color', array(
		'default'    => '#555555',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'accent_color', array(
		'label'		=> __( 'Buttons & icons Background Color', 'adeq' ),
		'section'	=> 'adt_theme_settings',
		'settings'	=> 'accent_color',
	) ) );
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_accent_color', array(
		'label'		=> __( 'Active Menu Text Color', 'adeq' ),
		'section'	=> 'adt_theme_settings',
		'settings'	=> 'text_accent_color',
	) ) );
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'page_accent_color', array(
		'label'		=> __( 'All Page Link Color', 'adeq' ),
		'section'	=> 'adt_theme_settings',
		'settings'	=> 'page_accent_color',
	) ) );
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_accent_color', array(
		'label'		=> __( 'Footer Background Color', 'adeq' ),
		'section'	=> 'adt_theme_settings',
		'settings'	=> 'footer_accent_color',
	) ) );
	
	$wp_customize->add_setting( 'facebook_url', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'facebook_url', array(
		'label'	  => __( 'Facebook Profile URL', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );

	$wp_customize->add_setting( 'twitter_url', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'twitter_url', array(
		'label'	  => __( 'Twitter Profile URL', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );

	$wp_customize->add_setting( 'dribbble_url', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'dribbble_url', array(
		'label'	  => __( 'Dribbble Profile URL', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );
	
	$wp_customize->add_setting( 'contact_number_url', array(
		'default'           => '000-000-0000',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'contact_number_url', array(
		'label'	  => __( 'Phone Number', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );
	
	$wp_customize->add_setting( 'email_url', array(
		'default'           => 'info@yourcompany.com',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_email',
	) );

	$wp_customize->add_control( 'email_url', array(
		'label'	  => __( 'Email', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );
	
	$wp_customize->add_setting( 'powered', array(
		'default'           => '@ 2016 ADEQ -  All Rights Reserved - THEME SHARED ON <a href="http://www.distinctcoder.com">DistinctCoder.com</a>',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'powered', array(
		'label'	  => __( 'Powered by', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'text',
	) );

	// check box
	
	$wp_customize->add_setting( 'show_content_social', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'show_content_social', array(
		'label'	  => __( 'Hidden Social Link', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'checkbox',
	) );

	$wp_customize->add_setting( 'show_content_dis', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'show_content_dis', array(
		'label'	  => __( 'Hidden Site Title Description', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'checkbox',
	) );

	$wp_customize->add_setting( 'left_sideber', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );	
	
	$wp_customize->add_control( 'left_sideber', array(
		'label'	  => __( 'Hidden Right Sideber', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'checkbox',
	) );
	
	$wp_customize->add_setting( 'two_col_post', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );	
	
	$wp_customize->add_control( 'two_col_post', array(
		'label'	  => __( 'Two Columns Blog Post', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'checkbox',
	) );
	
	$wp_customize->add_setting( 'three_col_post', array(
		'default'           => '',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );	
	
	$wp_customize->add_control( 'three_col_post', array(
		'label'	  => __( 'Three Columns Blog Post', 'adeq' ),
		'section' => 'adt_theme_settings',
		'type'    => 'checkbox',
	) );

}
add_action( 'customize_register', 'adt_serene_customize_register' );

function serene_add_customizer_css(){ ?>
	<style>
		
		.blog-post .post-type, .widget .search-btn, .latest-posts-classic .left-meta-post .post-type i, .footer-widget .search-btn, a.main-button, input[type="submit"], .btn-system,  .sidebar .tagcloud a:hover { background-color: <?php echo get_theme_mod( 'accent_color'); ?>; }
		
		.logo a, ul.breadcrumbs li a  { color: <?php echo get_theme_mod('accent_color'); ?>; }
		
		a, .latest-posts-classic .post-title a:hover, .sidebar a:hover, .navbar-default .navbar-nav > li > a.active, .navbar-default .navbar-nav > li:hover > a { color: <?php echo get_theme_mod( 'accent_color'); ?>; }
		
		.sidebar a:hover, .navbar-default .navbar-nav > li > a.active, .navbar-default .navbar-nav > li:hover > a { border-color: <?php echo get_theme_mod( 'accent_color'); ?>; }
		
		.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus{ background-color: <?php echo get_theme_mod( 'accent_color'); ?>;}
		
		.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus{color: <?php echo get_theme_mod( 'text_accent_color'); ?>;}
		
		#content a, footer a{color: <?php echo get_theme_mod( 'page_accent_color'); ?> !important;}
		
		footer{ background-color: <?php echo get_theme_mod( 'footer_accent_color'); ?>;}
		
		<?php if(get_theme_mod( 'left_sideber' ) == true) : ?>
		
		.blog-box{
			width:100%;
			}
		
		<?php endif; ?>
		
		<?php if(get_theme_mod( 'two_col_post' ) == true) : ?>
		
		.home-post{
			width:48%;
			margin:0 1%;
			float:left;
			min-height: 660px;
			}
		
		<?php endif; ?>
		
		<?php if(get_theme_mod( 'three_col_post' ) == true) : ?>
		
		.home-post{
			width:29%;
			margin:0 1%;
			float:left;
			min-height:665px;
			}
		
		<?php endif; ?>
		
		.top-menu-bar a{ color: #<?php echo get_header_textcolor(); ?> ;}
	
		.top-menu-bar {
			background-color: #<?php echo get_theme_mod( 'background_color'); ?>;
			border-bottom: 1px solid #<?php echo get_theme_mod( 'background_color'); ?>;
			}
	</style>
<?php }
add_action( 'wp_head', 'serene_add_customizer_css' );
add_action( 'customize_controls_print_styles', 'serene_add_customizer_css' );

function the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
		echo get_the_option('home');
		echo '">';
		echo "Home</a> &#187; ";
		if (is_category() || is_single()) {
			foreach((get_the_category()) as $category) { 
			echo $category->cat_name . ', ';
			}
			if ($category->cat_name == "") {
				$post_type = get_post_type_object( get_post_type($post) );
				echo $post_type->labels->name;
				}
			if (is_single()) {
				echo " &#187; ";
				the_title();
			}
		} 
		elseif (is_page()) {
			echo the_title();
		}
		elseif (is_tag()) {
			echo single_tag_title();
		}
		elseif (is_day()) {
			echo "Archive for ";
			the_time('F jS, Y');
		}
		elseif (is_month()) {
			echo "Archive for ";
			the_time('F, Y');
		}
		elseif (is_year()) {
			echo "Archive for ";
			the_time('Y');
		}
		elseif (is_author()) {
			echo "Author Archive";
		}
		elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		echo "Blog Archives";
		}
		elseif (is_search()) {
		echo "Search Results";
		}
	}
}

// Customize excerpt word count length

function custom_excerpt_length() {
	return 60;
}

add_filter('excerpt_length', 'custom_excerpt_length');

if ( ! function_exists( 'et_custom_comments_display' ) ) :
function et_custom_comments_display( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment; ?>
        <li class="comment-<?php comment_ID(); ?>" id="li-comment-<?php comment_ID(); ?>">
        	
            <div class="comment-box clearfix">
                <div class="avatar"><?php echo get_avatar( $comment, $size = '75' ); ?></div>
                <div class="comment-content">
                    <div class="comment-meta">
                        <span class="comment-by"><?php comment_author_link(); ?></span>
                        <span class="comment-date"><?php comment_time('F j, Y g:i a'); ?></span>
                        <span class="reply-link"><?php edit_comment_link( esc_html__( '(Edit)', 'adeq' ), ' ' ); ?> 
						<?php
						$et_comment_reply_link = get_comment_reply_link( array_merge( $args, array(
							'reply_text' => esc_attr__( 'Reply', 'adeq' ),
							'depth'      => $depth,
							'max_depth'  => $args['max_depth'],
						) ) );
						if ( $et_comment_reply_link )
							echo '<div class="reply-container">' . $et_comment_reply_link . '</div>';
					?></span>
                    </div>
                    
                    <?php if ( '0' == $comment->comment_approved ) : ?>
					<em class="moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'adeq' ); ?></em>
					<br />
					<?php endif; ?>
                    
                    <p><?php comment_text(); ?></p>
                </div>
            </div>
<?php }
endif; 

function adeq_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'admin_init', 'adeq_add_editor_styles' );