<?php 
/**
 * @package adeq
 * @since adeq 1.0
 */
?>
<!doctype html>
<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><html class="no-js" <?php language_attributes(); ?>> <![endif]-->
<html <?php language_attributes(); ?>>
<head>
  
    <!-- Basic -->
	<title><?php wp_title( '|', true, 'right' ); ?></title>
    
    <!-- Define Charset -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
    
    <!-- Responsive Metatag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <?php $template_directory_uri = get_template_directory_uri(); ?>
    <!--[if IE 7]><link rel="stylesheet" href="<?php echo esc_url( $template_directory_uri . '/css/fontello-ie7.css'); ?>"><![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<!-- Container -->
	<div id="container">
		
        <!-- Start Header -->
		<div class="hidden-header"></div>
        <header class="clearfix">
            
            <!-- Start Top Bar -->
			<div class="top-menu-bar">
				<div class="container">
					<div class="row">
						<div class="col-md-6">
                            <!-- Start Contact Info -->
							<ul class="contact-details">
                            <?php if ( false !== ( $contact_number_url = get_theme_mod( 'contact_number_url' ) ) && '' !== $contact_number_url ) : ?>
                            	<li><a href="tel:<?php echo  $contact_number_url ; ?>"><i class="icon-phone-1"></i> <?php echo $contact_number_url; ?></a></li>
                            <?php endif; ?>
                            <?php if ( false !== ( $email_url = get_theme_mod( 'email_url' ) ) && '' !== $email_url ) : ?>
                                <li><a href="email:<?php echo  $email_url; ?>"><i class="icon-mail-1"></i> <?php echo $email_url; ?></a></li>
                             <?php endif; ?>
                            </ul>
                            <!-- End Contact Info -->
						</div>
						<?php if(get_theme_mod( 'show_content_social' ) == true) : ?><?php else : ?>
                        <div class="col-md-6">
                            <!-- Start Social Links -->
							<ul class="social-list">
                            	<?php if ( false !== ( $facebook_url = get_theme_mod( 'facebook_url' ) ) && '' !== $facebook_url ) : ?>
								<li>
									<a class="facebook sh-tooltip" data-placement="bottom" title="Facebook" href="<?php echo esc_url( $facebook_url ); ?>"><i class="icon-facebook-2"></i></a>
								</li>
                                <?php endif; ?>
                                <?php if ( false !== ( $twitter_url = get_theme_mod( 'twitter_url' ) ) && '' !== $twitter_url ) : ?>
								<li>
									<a class="twitter sh-tooltip" data-placement="bottom" title="Twitter" href="<?php echo esc_url( $twitter_url ); ?>"><i class="icon-twitter-2"></i></a>
								</li>
                                <?php endif; ?>
                                <?php if ( false !== ( $dribbble_url = get_theme_mod( 'dribbble_url' ) ) && '' !== $dribbble_url ) : ?>
								<li>
									<a class="dribbble sh-tooltip" data-placement="bottom" title="Dribble" href="<?php echo esc_url( $dribbble_url ); ?>"><i class="icon-dribbble-2"></i></a>
								</li>
                                <?php endif; ?>
							</ul>
                            <!-- End Social Links -->
						</div>
                        <?php endif; ?>
					</div>
				</div>
			</div>
            <!-- End Top Bar -->
          
			<!-- Start Header ( Logo & Naviagtion ) -->
			<div class="navbar navbar-default navbar-top">
				<div class="container">
					<div class="navbar-header">
                        <!-- Stat Toggle Nav Link For Mobiles -->
						<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
							<i class="icon-menu-1"></i>
						</button>
                        <!-- End Toggle Nav Link For Mobiles -->
						<h1 class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
                        <?php if(get_theme_mod( 'show_content_dis' ) == true) : ?><?php else : ?><small class="logo-dis"><?php bloginfo('description'); ?></small><?php endif; ?>
					</div>
					<div class="navbar-collapse collapse">
                        <!-- Stat Search -->
                    	<div class="search-side">
                            <a href="#" class="show-search"><i class="icon-search-1"></i></a>
                            <div class="search-form">
                                <form autocomplete="off" role="search" method="get" class="searchform" action="<?php echo home_url( '/' ); ?>">
                                    <input type="text" value="" name="s" id="s" placeholder="Enter Keywords...">
                                </form>
                            </div>
                        </div>
                        <!-- End Search -->
                        <!-- Start Navigation List -->
                        
                        <?php if ( has_nav_menu( 'primary' ) ) : ?>
                            <?php
                                // Primary navigation menu.
                                wp_nav_menu( array(
                                    'menu_class'     => 'nav navbar-nav navbar-right',
                                    'theme_location' => 'primary',
                                ) );
                            ?>       
                      	<?php endif; ?>
                        
                        <!-- End Navigation List -->
					</div>
				</div>
			</div>
            <!-- End Header ( Logo & Naviagtion ) -->
          
		</header>
		<!-- End Header -->
        
        <!-- Start Page Banner -->
        <?php if(is_home()) : ?>
        <?php else : ?>
        <div class="page-banner">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <h2><?php echo get_the_title(); ?> </h2>
                    </div>
                    <div class="col-md-6">
                        <ul class="breadcrumbs">
                            <?php the_breadcrumb(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <!-- End Page Banner -->
        
        <!-- Start Content -->
		<div id="content">
			<div class="container">
				<div class="row blog-page">